Package org.apache.jmeter.gui.util

# Class NumberFieldErrorListener

java.lang.Object
java.awt.event.FocusAdapter
org.apache.jmeter.gui.util.NumberFieldErrorListener

All Implemented Interfaces:
  `FocusListener`, `EventListener`

public class NumberFieldErrorListener extends FocusAdapter

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `NumberFieldErrorListener()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `focusLost(FocusEvent e)`
  `static NumberFieldErrorListener`
  `getNumberFieldErrorListener()`

  ### Methods inherited from class java.awt.event.FocusAdapter

  `focusGained`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### NumberFieldErrorListener

    public NumberFieldErrorListener()

- ## Method Details

  - ### getNumberFieldErrorListener

    public static NumberFieldErrorListener getNumberFieldErrorListener()

  - ### focusLost

    public void focusLost(FocusEvent e)
    Specified by:
      `focusLost` in interface `FocusListener`
    Overrides:
      `focusLost` in class `FocusAdapter`